<?php
namespace Claromentis\Core\Assets\Storage;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array();
use Claromentis\Core\Filesystem\Exception\FileNotFoundException;






interface StorageInterface
{
    
    
    
    
    
    
    
    public function GetCacheFileUrl(string $file_path) : string;
    
    
    
    
    
    
    
    public function CacheFileExists(string $file_path) : bool;
    
    
    
    
    public function CreateCacheDirectory();
    
    
    
    
    
    
    
    public function StoreCacheFile(string $file_path, string $contents);
    
    
    
    
    
    
    
    
    
    
    
    
    public function GetCacheFileLocalPath(string $file_path) : string;
    
    
    
    
    
    
    
    public function GetCacheFileModifiedTime(string $file_path);
    
    
    
    
    
    
    
    
    public function TouchCacheFile(string $file_path);
}